commit b99084ae0bac3f2358f9bcfef3e9658b2e4c3077
Author: jklowden <jklowden>
Date:   Wed Apr 30 14:09:52 2008 +0000

    added missing break to nested switch in _dbresults

diff --git a/ChangeLog b/ChangeLog
index 3bedd29..12da7d1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Apr 30 10:07:37 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/dblib/dblib.c added missing break to nested switch
+	- in _dbresults
+
 Thu Apr 29 16:54:49 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: typo error
 
@@ -248,4 +252,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2510 2008/04/29 15:08:56 freddy77 Exp $
+$Id: ChangeLog,v 1.2511 2008/04/30 14:09:52 jklowden Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index b9baa7e..4056b75 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.322 2008/02/15 16:27:38 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.323 2008/04/30 14:09:53 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1593,8 +1593,7 @@ _dbresults(DBPROCESS * dbproc)
 {
 	RETCODE retcode = FAIL;
 	TDSSOCKET *tds;
-	int result_type;
-	int done_flags;
+	int result_type, done_flags;
 
 	tdsdump_log(TDS_DBG_FUNC, "dbresults(%p)\n", dbproc);
 	CHECK_DBPROC();
@@ -1602,9 +1601,6 @@ _dbresults(DBPROCESS * dbproc)
 
 	tds = dbproc->tds_socket;
 
-	if (IS_TDSDEAD(tds))
-		return FAIL;
-
 	tdsdump_log(TDS_DBG_FUNC, "dbresults: dbresults_state is %d (%s)\n", 
 					dbproc->dbresults_state, prdbresults_state(dbproc->dbresults_state));
 	switch ( dbproc->dbresults_state ) {
@@ -1681,7 +1677,7 @@ _dbresults(DBPROCESS * dbproc)
 					assert(0);
 					break;
 				}
-				
+				break;
 
 			case TDS_DONEINPROC_RESULT:
 				/* 

